Subject: bug#45574: Guile 3 fails to build non-deterministically

From: Chris Marusich <[email-masked]>
Date: Thu, 31 Dec 2020 11:16:40 -0800

Hi,

If you try to build Guile 3 without substitutes using any recent version
of Guix, it can frequently fail.  I had to try about 12 times
in a row before it succeeded.  The failure simply said "FAIL:
check-guile" - I didn't save the build logs, which were lost once the
build succeeded.  If anyone is interested in debugging, it should be
easy to reproduce.  Just do this:

- Run Guix in a 1-core VM or a similarly slow x86_64-linux system.

- Try to build any recent version of Guile 3 using any recent version of
  Guix.

I've seen the failures happen for Guile 3.0.2 and Guile 3.0.4.  I
observed this on a 1-core VM, so perhaps a slow system exacerbates this
bug.  This can make running "guix pull" without substitutes tedious,
since you have to manually retry many times.

-- 
Chris